=== doc/CMakeLists.txt ===
add_subdirectory(it)
add_subdirectory(uk)
add_subdirectory(en)
