=== ports/archlinux/PKGBUILD ===
# Mantainer: alex@eyeos.org, aleixpol@kde.org

pkgname=kamoso-git
_pkgname=kamoso
pkgver=20110108
pkgrel=1
pkgdesc="Kamoso is an application to take pictures and videos out of your webcam."
url="https://projects.kde.org/projects/playground/multimedia/kamoso/"
arch=('i686' 'x86_64')
license=('GPL')
depends=('kdebase-workspace' 'qtgstreamer-git')
makedepends=('cmake' 'git' 'automoc4')
conflicts=('kamoso')

_gitroot='git://git.kde.org/kamoso/'
_gitname='kamoso'

build() {
    cd "$srcdir"
    msg "Connecting to gitorious GIT server...."
    if [ -d ${srcdir}/$_gitname ] ; then
        cd $_gitname
        git pull . master
        git submodule update --init
        msg "The local files are updated."
    else
        git clone $_gitroot $_gitname
        cd $_gitname
        git submodule update --init
    fi
    msg "GIT checkout done."

    cd ..
    if [ -d build ] ; then
        rm -rf build
    fi
    mkdir build
    cd build
    cmake ${srcdir}/$_gitname \
    -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix` \
    -DCMAKE_BUILD_TYPE=Release || return 1
    make || return 1
    make DESTDIR=$startdir/pkg install
}
